import React from "react";
import Svg, { Path } from "react-native-svg";
import PropTypes from "prop-types";

const UilSanitizerAlt = props => {
  const { color, size, ...otherProps } = props;
  return (
    <Svg
      width={size}
      height={size}
      viewBox="0 0 24 24"
      fill={color}
      {...otherProps}
    >
      <Path d="M14 15h-2a1 1 0 0 0 0 2h2a1 1 0 0 0 0-2Zm2-7V5a1 1 0 0 0-1-1h-1V3h1a1 1 0 0 0 0-2h-4.764a4.593 4.593 0 0 0-4.13 2.553 1 1 0 0 0 1.789.894A2.603 2.603 0 0 1 10.235 3H12v1h-1a1 1 0 0 0-1 1v3a3.003 3.003 0 0 0-3 3v9a3.003 3.003 0 0 0 3 3h6a3.003 3.003 0 0 0 3-3v-9a3.003 3.003 0 0 0-3-3Zm-4-2h2v2h-2Zm5 14a1.001 1.001 0 0 1-1 1h-6a1.001 1.001 0 0 1-1-1v-9a1.001 1.001 0 0 1 1-1h6a1.001 1.001 0 0 1 1 1Z" />
    </Svg>
  );
};

UilSanitizerAlt.propTypes = {
  color: PropTypes.string,
  size: PropTypes.oneOfType([PropTypes.string, PropTypes.number])
};

UilSanitizerAlt.defaultProps = {
  color: "currentColor",
  size: "24"
};

export default UilSanitizerAlt;
