import React from "react";
import Svg, { Path } from "react-native-svg";
import PropTypes from "prop-types";

const UilSanitizer = props => {
  const { color, size, ...otherProps } = props;
  return (
    <Svg
      width={size}
      height={size}
      viewBox="0 0 24 24"
      fill={color}
      {...otherProps}
    >
      <Path d="M13 12a3 3 0 1 0 3 3 3.003 3.003 0 0 0-3-3Zm0 4a1 1 0 1 1 1-1 1.001 1.001 0 0 1-1 1Zm5.8-8.4L16 5.5V3h1a1 1 0 0 0 0-2H8.657a4.967 4.967 0 0 0-3.535 1.464l-.829.829a1 1 0 1 0 1.414 1.414l.829-.829A3.022 3.022 0 0 1 8.656 3H10v2.5L7.2 7.6A3.016 3.016 0 0 0 6 10v12a1 1 0 0 0 1 1h12a1 1 0 0 0 1-1V10a3.015 3.015 0 0 0-1.2-2.4ZM12 3h2v2h-2Zm6 18H8V10a1.006 1.006 0 0 1 .4-.8L11.334 7h3.333L17.6 9.2a1.005 1.005 0 0 1 .4.8Z" />
    </Svg>
  );
};

UilSanitizer.propTypes = {
  color: PropTypes.string,
  size: PropTypes.oneOfType([PropTypes.string, PropTypes.number])
};

UilSanitizer.defaultProps = {
  color: "currentColor",
  size: "24"
};

export default UilSanitizer;
