import React from "react";
import Svg, { Path } from "react-native-svg";
import PropTypes from "prop-types";

const UilText = props => {
  const { color, size, ...otherProps } = props;
  return (
    <Svg
      width={size}
      height={size}
      viewBox="0 0 24 24"
      fill={color}
      {...otherProps}
    >
      <Path d="M17,6H7A1,1,0,0,0,7,8h4v9a1,1,0,0,0,2,0V8h4a1,1,0,0,0,0-2Z" />
    </Svg>
  );
};

UilText.propTypes = {
  color: PropTypes.string,
  size: PropTypes.oneOfType([PropTypes.string, PropTypes.number])
};

UilText.defaultProps = {
  color: "currentColor",
  size: "24"
};

export default UilText;
